Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slaev2

    java.lang.Object
      org.netlib.lapack.Slaev2

    public class Slaev2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAEV2 computes the eigendecomposition of a 2-by-2 symmetric matrix
     *     [  A   B  ]
     *     [  B   C  ].
     *  On return, RT1 is the eigenvalue of larger absolute value, RT2 is the
     *  eigenvalue of smaller absolute value, and (CS1,SN1) is the unit right
     *  eigenvector for RT1, giving the decomposition
     *
     *     [ CS1  SN1 ] [  A   B  ] [ CS1 -SN1 ]  =  [ RT1  0  ]
     *     [-SN1  CS1 ] [  B   C  ] [ SN1  CS1 ]     [  0  RT2 ].
     *
     *  Arguments
     *  =========
     *
     *  A       (input) REAL
     *          The (1,1) element of the 2-by-2 matrix.
     *
     *  B       (input) REAL
     *          The (1,2) element and the conjugate of the (2,1) element of
     *          the 2-by-2 matrix.
     *
     *  C       (input) REAL
     *          The (2,2) element of the 2-by-2 matrix.
     *
     *  RT1     (output) REAL
     *          The eigenvalue of larger absolute value.
     *
     *  RT2     (output) REAL
     *          The eigenvalue of smaller absolute value.
     *
     *  CS1     (output) REAL
     *  SN1     (output) REAL
     *          The vector (CS1, SN1) is a unit right eigenvector for RT1.
     *
     *  Further Details
     *  ===============
     *
     *  RT1 is accurate to a few ulps barring over/underflow.
     *
     *  RT2 may be inaccurate if there is massive cancellation in the
     *  determinant A*C-B*B; higher precision or correctly rounded or
     *  correctly truncated arithmetic would be needed to compute RT2
     *  accurately in all cases.
     *
     *  CS1 and SN1 are accurate to a few ulps barring over/underflow.
     *
     *  Overflow is possible only if RT1 is within a factor of 5 of overflow.
     *  Underflow is harmless if the input data is 0 or exceeds
     *     underflow_threshold / macheps.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`Slaev2()`

Method Summary
`static void` | `slaev2(float a, float b, float c, floatW rt1, floatW rt2, floatW cs1, floatW sn1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slaev2

    public Slaev2()

Method Detail

### slaev2

    public static void slaev2(float a,
                              float b,
                              float c,
                              floatW rt1,
                              floatW rt2,
                              floatW cs1,
                              floatW sn1)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD